Summary

This page documents any quirks in the APIs that are worth documenting and ideally fixing or clarifying in either the API docs, or the API implementations.

Any quirks that affect the runtime behavior and expectations could be good opportunities for adding in warning messages in the client.

ETH Gas Station

Rek.to

  • /events

    • It looks like minSize and symbol params do not work, however, we can go to app.rek.to and clearly see these query params working in a network request there.
  • /top10

    • It looks like minSize and symbol params do not work.
  • docs

    • docs point to defiupulse instead of defipulse.

Pools.fyi

  • /returns

    • This endpoint returns ~30 days of returns data for a particular liquidity pool address over time, for example, UNI-V2 ETH/GRT.
      • The endpoint will not return data across AMMs for an individual token address, like GRT or ETH.
    • The docs' "Request" section could be updated to include address as a path param.
  • /liquidity

    • The use of v0 in the URL is not a typo, even though this is the only Pools.fyi endpoint that uses this v0 path.
  • /exchange

    • The docs currently point to an invalid base URL; the same base URL as the other endpoints is the true one.

DeFi Pulse

DEX.AG

  • /price
    • fromAmount and toAmount are exclusive options.
    • Both of fromToken and toToken are required.
    • The API docs specify that dex is optional, but it appears to be required in order to work.
    • discluded works but seems unable to exclude some DEXes -- specifically, AG appears at the end of the response array, and cannot be excluded when tried with ?disclude=ag.